Page MenuHomeFreeBSD

games/anki: Update to 2.1.35
ClosedPublic

Authored by kai on Oct 26 2020, 2:17 PM.

Details

Summary
Since the 2.1.17 release the build system has been significantly revised and
contains many changes that had to be adapted to the Ports framework.  One of
the biggest changes is that Anki now also uses a Rust library that is used
by the Python code.

Changelog since 2.1.16 (too many changes to list them separately):

https://changes.ankiweb.net/

PR: 247666
Reported by: David Schlachter
Test Plan
  • poudriere -> OK (11.4-, 12.1-RELEASE, 13.0-CURRENT@r366935 [amd64 only])
  • Runtime tests -> OK (12.1-RELEASE amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai requested review of this revision.Oct 26 2020, 2:17 PM
kai added a parent revision: D26960: [NEW PORT] devel/py-maturin.
  • Restore dependency of audio/lame
  • Place new dependencies in RUN_DEPENDS to the end so that they're more visible in the diff.

Rust ports are "beautiful" :P

Im not sure whether it is a good idea to execute all the commands silenty during build -- I would probably prefer to remove the '@'.

But other than that I spot no issues.

This revision is now accepted and ready to land.Oct 30 2020, 5:42 PM

Im not sure whether it is a good idea to execute all the commands silenty during build -- I would probably prefer to remove the '@'.

Good catch, thank you for the pointer and the review!

Indeed, those commands shouldn't be silenced. Hence I'll remove the @'s from the {pre,post}-build targets and do the same for D26960 as well, before I commit both diffs in the next few days.

During further QA it became apparent that building the Rust library via the pre-build target isn't necessary at all. The real work is solely done via devel/py-maturin which acts as a wrapper for cargo + rustc and adds Python bindings to the binary file at the end.

The updated diff contains following changes

  • Additional entries for ${MAKE_ENV} and ${MAKE_ARGS} to pass Rust related parameters to maturin to make it more verbose and to honor the flags from the Ports framework.
  • build/install related commands are now verbose as suggested by @tcberner
  • Updated comments
This revision now requires review to proceed.Nov 2 2020, 11:40 PM
This revision was not accepted when it landed; it landed in state Needs Review.Tue, Nov 10, 1:01 PM
Closed by commit rP554834: games/anki: Update to 2.1.35 (authored by kai). · Explain Why
This revision was automatically updated to reflect the committed changes.